Get a federated login connection
curl --request GET \
--url {schemes}://api.upsun.com/users/{user_id}/connections/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/users/{user_id}/connections/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/users/{user_id}/connections/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"provider_type": "<string>",
"is_mandatory": true,
"subject": "<string>",
"email_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Connections
Get a federated login connection
Retrieves the specified connection.
GET
/
users
/
{user_id}
/
connections
/
{provider}
Get a federated login connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The name of the federation provider.
The ID of the user.
Example:
"d81c8ee2-44b3-429f-b944-a33ad7437690"
Response
OK
The name of the federation provider.
The type of the federation provider.
Whether the federated login connection is mandatory.
The identity on the federation provider.
The email address presented on the federated login connection.
The date and time when the connection was created.
The date and time when the connection was last updated.
Last modified on June 16, 2026
Was this page helpful?